%define pkg_name        Class-NamedParms
%define pkg_version     1.06
%define rpm_pkg_version 1.06
%define rpm_pkg_release 2.n0i.6

Summary:       A named parameter accessor base class
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SN/SNOWHARE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Provides key name checking for named accessor parameters. This allows the
use of a generic 'get/set' type parameterized accessor while automatically
catching accidental mis-spellings and usage of uninitialized parameters.
This catches a large class of programming errors without requiring a new
accessor for every object parameter.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.06-2.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sat Sep 24 2005 Marius Feraru <altblue@n0i.net> 1.06-1.n0i.5
- version 1.06

* Wed Sep 21 2005 Marius Feraru <altblue@n0i.net> 1.05-1.n0i.4
- version 1.05

* Mon Aug 01 2005 Marius Feraru <altblue@n0i.net> 1.04-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Fri Jan 30 2004 Marius FERARU <altblue@n0i.net> 0:1.04-0.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Wed Oct 01 2003 Marius FERARU <altblue@n0i.net> 1.04-0.n0i
- version 1.04
- spec file (re?)created using N0i::CPAN::RPMizer/2003092601
